> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a schedule

> Configure a recurring or future-dated transfer. Use `frequency: custom` with a cron expression for arbitrary cadences.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/scheduled-transfers
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/scheduled-transfers:
    post:
      tags:
        - Scheduled Transfers
      summary: Create a schedule
      description: >-
        Configure a recurring or future-dated transfer. Use `frequency: custom`
        with a cron expression for arbitrary cadences.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateScheduledTransferInput'
      responses:
        '201':
          description: Schedule created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ScheduledTransfer'
                required:
                  - data
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    CreateScheduledTransferInput:
      type: object
      properties:
        fromAccountId:
          type: string
          format: uuid
        toAccountId:
          type: string
          format: uuid
        toPaymentMethodId:
          type: string
          format: uuid
        amount:
          type: number
          exclusiveMinimum: 0
        currency:
          type: string
          default: USDC
        frequency:
          type: string
          enum:
            - daily
            - weekly
            - biweekly
            - monthly
            - custom
        intervalValue:
          type: integer
          exclusiveMinimum: 0
          default: 1
        dayOfMonth:
          type: integer
          minimum: 1
          maximum: 31
        dayOfWeek:
          type: integer
          minimum: 0
          maximum: 6
        cronExpression:
          type: string
        timezone:
          type: string
          default: UTC
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        maxOccurrences:
          type: integer
          exclusiveMinimum: 0
        retryEnabled:
          type: boolean
          default: true
        maxRetryAttempts:
          type: integer
          minimum: 0
          maximum: 10
          default: 3
        retryWindowDays:
          type: integer
          minimum: 1
          maximum: 60
          default: 14
        description:
          type: string
          maxLength: 500
      required:
        - fromAccountId
        - amount
        - frequency
        - startDate
    ScheduledTransfer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        fromAccountId:
          type: string
          format: uuid
        toAccountId:
          type:
            - string
            - 'null'
          format: uuid
        toPaymentMethodId:
          type:
            - string
            - 'null'
          format: uuid
        amount:
          type: string
        currency:
          type: string
        frequency:
          type: string
          enum:
            - daily
            - weekly
            - biweekly
            - monthly
            - custom
        intervalValue:
          type: integer
          default: 1
        dayOfMonth:
          type:
            - integer
            - 'null'
          minimum: 1
          maximum: 31
        dayOfWeek:
          type:
            - integer
            - 'null'
          minimum: 0
          maximum: 6
        cronExpression:
          type:
            - string
            - 'null'
        timezone:
          type: string
          default: UTC
        startDate:
          type: string
          format: date-time
        endDate:
          type:
            - string
            - 'null'
          format: date-time
        maxOccurrences:
          type:
            - integer
            - 'null'
        retryEnabled:
          type: boolean
          default: true
        maxRetryAttempts:
          type: integer
          default: 3
        retryWindowDays:
          type: integer
          default: 14
        status:
          type: string
          enum:
            - active
            - paused
            - completed
            - failed
            - cancelled
        next_execution_at:
          type:
            - string
            - 'null'
          format: date-time
        last_execution_at:
          type:
            - string
            - 'null'
          format: date-time
        executions_completed:
          type: integer
        created_at:
          type: string
          format: date-time
      required:
        - id
        - fromAccountId
        - amount
        - currency
        - frequency
        - startDate
        - status
        - executions_completed
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````